<id>
Audio Player in Profile for YaBB 2.2.3 - German
</id>

<version>
1.3
</version>

<mod info>
Adds JW Flash Music Player to the user profile in YaBB 2.2.3

History
1.0 - First Virsion for YaBB 2.2.3 by Derek Barnstorm - 15th July 2008
1.1 - Added Enable/Disable in Admin Center
1.2 - Fixed small bug  - If disabled in Admin Center after users had linked to Mp3 the player was still showing
1.3 - Removed code from MyCenter.pl. Added German and German_Du language
</mod info>

<author>
Derek Barnstorm.
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$audio_mod = "Audio Player In Profile V1.2|Derek Barnstorm|Adds JW Flash Music Player to Members Profile|1.2|July 15th 2008";
	push (@installed_mods, "$audio_mod");
</add before>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
&LoadLanguage('Profile');
</search for>

<add before>
&LoadLanguage("Audio");
</add before>

<search for>
   <td width="220" align="left"><b>$profile_txt{'227'}: </b></td>
   <td align="left"><input type="text" maxlength="30" name="location" size="30" value="${$uid.$user}{'location'}" /></td>
 </tr>
~;
</search for>

<add after>
   $showProfile .= qq~
   <tr class="windowbg">
   <td width="220" align="left"><b>$audio_txt{'01'}: </b><br /><span class="small">$audio_txt{'02'}</span></td>
   <td align="left"><input type="text" maxlength="150" name="audio" size="30" value="${$uid.$user}{'audio'}" /></td>
 </tr>~ if $audio;
</add after>

<search for>
		&ToHTML($member{'location'});
</search for>

<add after>
		&ToHTML($member{'audio'});
</add after>

<search for>
		${$uid.$user}{'location'} = $member{'location'};
</search for>

<add after>
		${$uid.$user}{'audio'} = $member{'audio'};
</add after>

<search for>
	my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</search for>

<replace>
    my ($pic_row, $buddybutton, $row_addgrp, $row_gender, $row_age, $row_location, $row_audio, $row_icq, $row_aim, $row_yim, $row_msn, $row_gtalk, $row_skype, $row_email, $row_website, $row_signature, $showusertext);
</replace>

<search for>
		<a href="#" onclick="window.open('$scripturl?action=setgtalk;gtalkname=$user','','height=80,width=340,menubar=no,toolbar=no,scrollbars=no'); return false">$profile_txt{'825'} ${$uid.$user}{'realname'}</a>
		</div>
	~;
	}
</search for>

<add after>
		if (${$uid.$user}{'audio'}) {
		$row_audio = qq~
		<tr>
		<td class="catbg" align="left">
		<img src="$imagesdir/profile.gif" alt="" border="0" style="vertical-align: middle;" />&nbsp;
		<span class="text1"><b>$audio_txt{'03'}</b></span>
		</td>
		</tr>
		<tr>
		<td align="center" class="windowbg2">
		<div style="width: 100%; padding-top: 5px; padding-bottom: 5px;">
		<script type='text/javascript' src='$html_root/swfobject.js'></script>
        <div id='preview'>This div will be replaced</div>
        <script type='text/javascript'>
         var s1 = new SWFObject('$html_root/mediaplayer.swf','player','420','20','9','#ffffff');
         s1.addParam('allowfullscreen','true');
         s1.addParam('allowscriptaccess','always');
         s1.addParam('wmode','opaque');
         s1.addParam('flashvars','file=${$uid.$user}{'audio'}&');
         s1.write('preview');
         </script>
		</div>
		</td>
		</tr>
	~ if $audio;
	}
</add after>

<search for>
			$row_icq
</search for>

<add after>
			$row_audio
</add after>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate regreason webtitle weburl spamcount spamtime signature postcount position addgroups icq aim yim skype gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_notify im_popup im_imspop cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex lastips onlinealert pmactprev pmmessprev pmviewMess buddylist offlinestatus awaysubj awayreply awayreplysent stealth);
</search for>

<add after>
	push (@tags,"audio");
</add after>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$userpic_height = $userpic_height;			# Set pixel size to which the selfselected userpics are resized, 0 disables this limit
</search for>

<add after>

########## Audio Settings ##########

\$audio = $audio;			# Set to 1 activate Audio in Profile
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
			name => 'addmemgroup_enabled',
			validate => 'number',
		},
</search for>

<add after>
		{
			description => $amgtxt{'89'},
			input_html => qq~<input type="checkbox" name="audio" value="1"${ischecked($audio)} />~,
			name => 'audio',
			validate => 'boolean',
		},
</add after>

<edit file>
Languages/German/Admin.lng
</edit file>

<search for>
'88' => 'Bei der Registrierung und in Profiloptionen',
</search for>

<add after>
'89' => 'Den Mitgliedern erlauben eine MP3-Datei in ihr Profil einzufgen',
</add after>


